Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.Widget Class Reference
Inheritance diagram for FoxitPDFSDKPython3.Widget:

## Public Member Functions
def | Widget ()
| Constructor.
def | Widget (annot)
| Constructor, with parent class object. More...
def | GetAction ()
| Get action. More...
def | GetAppearanceOnStateName ()
| Get the name of the annotation's appearance "ON" state. More...
def | GetAppearanceState ()
| Get the annotation's appearance state, which selects the applicable appearance stream from an appearance subdictionary. More...
def | GetControl ()
| Get associated form control. More...
def | GetField ()
| Get associated form field. More...
def | GetHighlightingMode ()
| Get highlighting mode. More...
def | GetLineSpacing (line_spacing_value)
| Get line spacing of current widget. More...
def | GetMKBackgroundColor ()
| Get the background color in the MK dictionary. More...
def | GetMKBorderColor ()
| Get the border color in the MK dictionary. More...
def | GetMKDownCaption ()
| Get the down caption string in the MK dictionary. More...
def | GetMKDownIconBitmap ()
| Get the down icon bitmap in the MK dictionary. More...
def | GetMKIconCaptionRelation ()
| Get the relation of icon and caption in the MK dictionary. More...
def | GetMKIconFit ()
| Get the icon fit information in the MK dictionary. More...
def | GetMKNormalCaption ()
| Get the normal caption string in the MK dictionary. More...
def | GetMKNormalIconBitmap ()
| Get the normal icon bitmap in the MK dictionary. More...
def | GetMKRolloverCaption ()
| Get the rollover caption string in the MK dictionary. More...
def | GetMKRolloverIconBitmap ()
| Get the rollover icon bitmap in the MK dictionary. More...
def | GetMKRotation ()
| Get the rotation value in the MK dictionary. More...
def | HasMKEntry (mk_entry)
| Check if a specified entry exists in the MK dictionary. More...
def | RemoveAction ()
| Remove action. More...
def | RemoveMKEntry (mk_entry)
| Remove a specified entry from the MK dictionary. More...
def | SetAction (action)
| Set action. More...
def | SetAppearanceState (appearance_state)
| Set the annotation's appearance state, which selects the applicable appearance stream from an appearance subdictionary. More...
def | SetHighlightingMode (mode)
| Set highlighting mode. More...
def | SetLineSpacing (line_spacing_style, line_spacing_value)
| Set line spacing for current widget. More...
def | SetMKBackgroundColor (color)
| Set the background color in the MK dictionary. More...
def | SetMKBorderColor (color)
| Set the border color in the MK dictionary. More...
def | SetMKDownCaption (caption)
| Set the down caption string in the MK dictionary. More...
def | SetMKDownIconBitmap (bitmap)
| Set the down icon bitmap in the MK dictionary. More...
def | SetMKDownIconImage (image, frame_index)
| Set an image with specified frame index as down icon in the MK dictionary. More...
def | SetMKIconCaptionRelation (relation)
| Set the relation of icon and caption in the MK dictionary. More...
def | SetMKIconFit (icon_fit)
| Set the icon fit information in the MK dictionary. More...
def | SetMKNormalCaption (caption)
| Set the normal caption string in the MK dictionary. More...
def | SetMKNormalIconBitmap (bitmap)
| Set a bitmap as normal icon in the MK dictionary. More...
def | SetMKNormalIconImage (image, frame_index)
| Set an image with specified frame index as normal icon in the MK dictionary. More...
def | SetMKRolloverCaption (caption)
| Set the rollover caption string in the MK dictionary. More...
def | SetMKRolloverIconBitmap (bitmap)
| Set the rollover icon bitmap in the MK dictionary. More...
def | SetMKRolloverIconImage (image, frame_index)
| Set an image with specified frame index as rollover icon in the MK dictionary. More...
def | SetMKRotation (rotation)
| Set the rotation value in the MK dictionary. More...
Public Member Functions inherited from FoxitPDFSDKPython3.Annot
def | Annot (page, annot_dict)
| Constructor, with PDF page and annotation's PDF dictionary. More...
def | Annot (annot)
| Constructor, with another annotation object. More...
def | Annot ()
| Constructor.
def | GetAppearanceStream (type, appearance_state)
| Get annotation's appearance stream with specified type and state. More...
def | GetBorderColor ()
| Get border color. More...
def | GetBorderInfo ()
| Get border information. More...
def | GetContent ()
| Get content. More...
def | GetDeviceRect (matrix)
| Get annotation rectangle in device coordinate system. More...
def | GetDict ()
| Get annotation's dictionary object. More...
def | GetDisplayMatrix (page_display_matrix)
| Get the display matrix, from [PDF coordinate system] () to targeted device coordinate system. More...
def | GetFlags ()
| Get annotation flags. More...
def | GetIndex ()
| Get the index of current annotation in the page which current annotation belongs to. More...
def | GetModifiedDateTime ()
| Get last modified date time. More...
def | GetOptionalContent ()
| Get the PDF dictionary of annotation's optional content. More...
def | GetPage ()
| Get the related PDF page. More...
def | GetRect ()
| Get rectangle, in [PDF coordinate system] (). More...
def | GetType ()
| Get actual annotation type of current annotation. More...
def | GetUniqueID ()
| Get unique ID. More...
def | HasProperty (property)
| Whether current annotation has the specified annotation's property. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | IsMarkup ()
| Check if current annotation is a markup annotation. More...
def | Move (rect)
| Move current annotation to a new position, specified by a new rectangle in [PDF coordinate system] (). More...
def | Move (rect, is_reset_appearance)
| Move current annotation to a new position, specified by a new rectangle in [PDF coordinate system] (). More...
def | RemoveProperty (property)
| Remove a specified annotation's property. More...
def | ResetAppearanceStream ()
| Reset appearance stream. More...
def | SetBorderColor (color)
| Set border color. More...
def | SetBorderInfo (border)
| Set border information. More...
def | SetContent (content)
| Set content. More...
def | SetFlags (flags)
| Set annotation flags. More...
def | SetModifiedDateTime (date_time)
| Set last modified date time. More...
def | SetUniqueID (unique_id)
| Set unique ID. More...

## Static Public Attributes
| e_LineSpacingAuto = _fsdk.Widget_e_LineSpacingAuto
| Line spacing style: auto line spacing.
| e_LineSpacingDouble = _fsdk.Widget_e_LineSpacingDouble
| Line spacing style: double line spacing.
| e_LineSpacingExactValue = _fsdk.Widget_e_LineSpacingExactValue
| Line spacing style: exact value line spacing.
| e_LineSpacingOneAndHalf = _fsdk.Widget_e_LineSpacingOneAndHalf
| Line spacing style: one and half times line spacing.
| e_LineSpacingSingle = _fsdk.Widget_e_LineSpacingSingle
| Line spacing style: single line spacing.
Static Public Attributes inherited from FoxitPDFSDKPython3.Annot
| e_3D = _fsdk.Annot_e_3D
| Annotation type: 3D annotation. One of standard annotation in <PDF reference 1.7>.
| e_AppearanceTypeDown = _fsdk.Annot_e_AppearanceTypeDown
| Annotation's down appearance.
| e_AppearanceTypeNormal = _fsdk.Annot_e_AppearanceTypeNormal
| Annotation's normal appearance.
| e_AppearanceTypeRollover = _fsdk.Annot_e_AppearanceTypeRollover
| Annotation's rollover appearance.
| e_Caret = _fsdk.Annot_e_Caret
| Annotation type: caret annotation. One of standard annotation in <PDF reference 1.7>.
| e_Circle = _fsdk.Annot_e_Circle
| Annotation type: circle annotation. One of standard annotation in <PDF reference 1.7>.
| e_FileAttachment = _fsdk.Annot_e_FileAttachment
| Annotation type: file attachment annotation. One of standard annotation in <PDF reference 1.7>.
| e_FlagHidden = _fsdk.Annot_e_FlagHidden
| Annotation flag: hidden. More...
| e_FlagInvisible = _fsdk.Annot_e_FlagInvisible
| Annotation flag: invisible. More...
| e_FlagLocked = _fsdk.Annot_e_FlagLocked
| Annotation flag: locked. More...
| e_FlagLockedContents = _fsdk.Annot_e_FlagLockedContents
| Annotation flag: locked contents. More...
| e_FlagNoRotate = _fsdk.Annot_e_FlagNoRotate
| Annotation flag: no rotate. More...
| e_FlagNoView = _fsdk.Annot_e_FlagNoView
| Annotation flag: no view. More...
| e_FlagNoZoom = _fsdk.Annot_e_FlagNoZoom
| Annotation flag: no zoom. More...
| e_FlagPrint = _fsdk.Annot_e_FlagPrint
| Annotation flag: print. More...
| e_FlagReadOnly = _fsdk.Annot_e_FlagReadOnly
| Annotation flag: read only. More...
| e_FlagToggleNoView = _fsdk.Annot_e_FlagToggleNoView
| Annotation flag: toggle no view. More...
| e_FreeText = _fsdk.Annot_e_FreeText
| Annotation type: free text annotation. One of standard annotation in <PDF reference 1.7>.
| e_Highlight = _fsdk.Annot_e_Highlight
| Annotation type: highlight annotation. One of standard annotation in <PDF reference 1.7>.
| e_HighlightingInvert = _fsdk.Annot_e_HighlightingInvert
| Highlighting mode: Invert, which is to invert the contents of the annotation rectangle.
| e_HighlightingNone = _fsdk.Annot_e_HighlightingNone
| Highlighting mode: No highlighting.
| e_HighlightingOutline = _fsdk.Annot_e_HighlightingOutline
| Highlighting mode: Outline, which is to invert the annotation's border.
| e_HighlightingPush = _fsdk.Annot_e_HighlightingPush
| Highlighting mode: Push, which is to display the annotation's down appearance, if any.
| e_HighlightingToggle = _fsdk.Annot_e_HighlightingToggle
| Highlighting mode: Toggle. This is only useful for widget annotation.
| e_Ink = _fsdk.Annot_e_Ink
| Annotation type: ink annotation. One of standard annotation in <PDF reference 1.7>.
| e_Line = _fsdk.Annot_e_Line
| Annotation type: line annotation. One of standard annotation in <PDF reference 1.7>.
| e_Link = _fsdk.Annot_e_Link
| Annotation type: link annotation. One of standard annotation in <PDF reference 1.7>.
| e_MKEntryBackgroundColor = _fsdk.Annot_e_MKEntryBackgroundColor
| Background color entry. "BG" in MK dictionary.
| e_MKEntryBorderColor = _fsdk.Annot_e_MKEntryBorderColor
| Border color entry. "BC" in MK dictionary.
| e_MKEntryDownCaption = _fsdk.Annot_e_MKEntryDownCaption
| Down caption (or alternate caption) entry. "AC" in MK dictionary. More...
| e_MKEntryDownIcon = _fsdk.Annot_e_MKEntryDownIcon
| Down icon (or alternate icon) entry. "IX" in MK dictionary. More...
| e_MKEntryIconCaptionRelation = _fsdk.Annot_e_MKEntryIconCaptionRelation
| Icon and caption relation entry. "TP" in MK dictionary. More...
| e_MKEntryIconFit = _fsdk.Annot_e_MKEntryIconFit
| Icon fit information entry. "IF" in MK dictionary. More...
| e_MKEntryNormalCaption = _fsdk.Annot_e_MKEntryNormalCaption
| Normal caption entry. "CA" in MK dictionary. More...
| e_MKEntryNormalIcon = _fsdk.Annot_e_MKEntryNormalIcon
| Normal icon entry. "I" in MK dictionary. More...
| e_MKEntryRolloverCaption = _fsdk.Annot_e_MKEntryRolloverCaption
| Rollover caption entry. "RC" in MK dictionary. More...
| e_MKEntryRolloverIcon = _fsdk.Annot_e_MKEntryRolloverIcon
| Rollover icon entry. "RI" in MK dictionary. More...
| e_MKEntryRotation = _fsdk.Annot_e_MKEntryRotation
| Rotation entry. "R" in MK dictionary.
| e_MKRelationCaptionAboveIcon = _fsdk.Annot_e_MKRelationCaptionAboveIcon
| Caption above the icon.
| e_MKRelationCaptionBelowIcon = _fsdk.Annot_e_MKRelationCaptionBelowIcon
| Caption below the icon.
| e_MKRelationCaptionLeft = _fsdk.Annot_e_MKRelationCaptionLeft
| Caption to the left of the icon.
| e_MKRelationCaptionOvrlayOnIcon = _fsdk.Annot_e_MKRelationCaptionOvrlayOnIcon
| Caption overlaid directly on the icon.
| e_MKRelationCaptionRight = _fsdk.Annot_e_MKRelationCaptionRight
| Caption to the right of the icon.
| e_MKRelationNoCaption = _fsdk.Annot_e_MKRelationNoCaption
| No caption; icon only.
| e_MKRelationNoIcon = _fsdk.Annot_e_MKRelationNoIcon
| No icon; captin only.
| e_Movie = _fsdk.Annot_e_Movie
| Annotation type: movie annotation. One of standard annotation in <PDF reference 1.7>.
| e_Note = _fsdk.Annot_e_Note
| Annotation type: note annotation, which is just "Text" annotation - one of standard annotation in <PDF reference 1.7>.
| e_PagingSeal = _fsdk.Annot_e_PagingSeal
| Annotation type: paging seal annotation. A Foxit PDF SDK custom annotation type (not a standard annotation type).
| e_Polygon = _fsdk.Annot_e_Polygon
| Annotation type: polygon annotation. One of standard annotation in <PDF reference 1.7>.
| e_PolyLine = _fsdk.Annot_e_PolyLine
| Annotation type: polyline annotation. One of standard annotation in <PDF reference 1.7>.
| e_Popup = _fsdk.Annot_e_Popup
| Annotation type: pop-up annotation. One of standard annotation in <PDF reference 1.7>.
| e_PrinterMark = _fsdk.Annot_e_PrinterMark
| Annotation type: printer's mark annotation. One of standard annotation in <PDF reference 1.7>.
| e_PropertyBorderColor = _fsdk.Annot_e_PropertyBorderColor
| Annotation property: border color. More...
| e_PropertyCreationDate = _fsdk.Annot_e_PropertyCreationDate
| Annotation property: creation date. More...
| e_PropertyFillColor = _fsdk.Annot_e_PropertyFillColor
| Annotation property: fill color. More...
| e_PropertyModifiedDate = _fsdk.Annot_e_PropertyModifiedDate
| Annotation property: modified date.
| e_PSInk = _fsdk.Annot_e_PSInk
| Annotation type: pressure sensitive ink annotation.
| e_Redact = _fsdk.Annot_e_Redact
| Annotation type: redact annotation.
| e_RichMedia = _fsdk.Annot_e_RichMedia
| Annotation type: rich media annotation.
| e_Screen = _fsdk.Annot_e_Screen
| Annotation type: screen annotation. One of standard annotation in <PDF reference 1.7>.
| e_Sound = _fsdk.Annot_e_Sound
| Annotation type: sound annotation. One of standard annotation in <PDF reference 1.7>.
| e_Square = _fsdk.Annot_e_Square
| Annotation type: square annotation. One of standard annotation in <PDF reference 1.7>.
| e_Squiggly = _fsdk.Annot_e_Squiggly
| Annotation type: squiggly annotation. One of standard annotation in <PDF reference 1.7>.
| e_Stamp = _fsdk.Annot_e_Stamp
| Annotation type: stamp annotation. One of standard annotation in <PDF reference 1.7>.
| e_StrikeOut = _fsdk.Annot_e_StrikeOut
| Annotation type: strikeout annotation. One of standard annotation in <PDF reference 1.7>.
| e_TrapNet = _fsdk.Annot_e_TrapNet
| Annotation type: trap network annotation. One of standard annotation in <PDF reference 1.7>.
| e_Underline = _fsdk.Annot_e_Underline
| Annotation type: underline annotation. One of standard annotation in <PDF reference 1.7>.
| e_UnknownType = _fsdk.Annot_e_UnknownType
| Annotation type: unknown.
| e_Watermark = _fsdk.Annot_e_Watermark
| Annotation type: watermark annotation. One of standard annotation in <PDF reference 1.7>.
| e_Widget = _fsdk.Annot_e_Widget
| Annotation type: widget annotation. One of standard annotation in <PDF reference 1.7>. More...

## Detailed Description

A widget annotation is used to represent the appearance of form fields.
Class FoxitPDFSDKPython3.Widget is derived from class Annot and also offers functions to get/set widget annotation's properties. Functions FoxitPDFSDKPython3.Widget.GetField and FoxitPDFSDKPython3.Widget.GetControl can be used to get the associated form field and form control object. If a widget annotation is not associated with any form field or is associated with a signature field, this widget can still get/set properties, but cannot be reset appearance. For these cases, FoxitPDFSDKPython3.Annot.ResetAppearanceStream (inherited from Widget's parent class) will return false directly.

See also
  Annot
  FoxitPDFSDKPython3.Field
  FoxitPDFSDKPython3.Control

## Constructor & Destructor Documentation

## ◆ Widget()

def FoxitPDFSDKPython3.Widget.Widget | ( |  | annot | ) |

Constructor, with parent class object.

Parameters

  [in] | annot | Parent class object.

## Member Function Documentation

## ◆ GetAction()

def FoxitPDFSDKPython3.Widget.GetAction | ( |  | ) |

Get action.

This function cannot be used to get action which is used as additional action. If user wants to get any additional action, please refer to class FoxitPDFSDKPython3.AdditionalAction for more details.

Returns
  An action object that receives the action data. If the return value of function FoxitPDFSDKPython3.Action.IsEmpty for the returned action object is true, that means no action.

## ◆ GetAppearanceOnStateName()

def FoxitPDFSDKPython3.Widget.GetAppearanceOnStateName | ( |  | ) |

Get the name of the annotation's appearance "ON" state.

Returns
  The name of the annotation's appearance "ON" state.

## ◆ GetAppearanceState()

def FoxitPDFSDKPython3.Widget.GetAppearanceState | ( |  | ) |

Get the annotation's appearance state, which selects the applicable appearance stream from an appearance subdictionary.

Returns
  The annotation's appearance state.

## ◆ GetControl()

def FoxitPDFSDKPython3.Widget.GetControl | ( |  | ) |

Get associated form control.

Returns
  The associated form control object.

## ◆ GetField()

def FoxitPDFSDKPython3.Widget.GetField | ( |  | ) |

Get associated form field.

Returns
  The associated form field object.

## ◆ GetHighlightingMode()

def FoxitPDFSDKPython3.Widget.GetHighlightingMode | ( |  | ) |

Get highlighting mode.

Highlighting mode is the visual effect to be used when the mouse button is pressed or held down inside its active area.

Returns
  Highlighting mode value. Please refer to values starting from FoxitPDFSDKPython3.Annot.e_HighlightingNone and this would be one of these values.

## ◆ GetLineSpacing()

def FoxitPDFSDKPython3.Widget.GetLineSpacing | ( |  | line_spacing_value | ) |

Get line spacing of current widget.

This is only applicable for widget associated with text fields which contain the flag FoxitPDFSDKPython3.Field.e_FlagTextMultiline . For other type of fields, this will be useless.

Parameters

  [out] | line_spacing_value | Output parameter that receives the line spacing exact value.

Returns
  Line spacing style. Please refer to values starting from FoxitPDFSDKPython3.Widget.e_LineSpacingSingle and this would be one of these values.

## ◆ GetMKBackgroundColor()

def FoxitPDFSDKPython3.Widget.GetMKBackgroundColor | ( |  | ) |

Get the background color in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page.

Returns
  The background color in MK dictionary. Value format: 0xRRGGBB.
  0 may means no background color in MK dictionary. In this case, please call function FoxitPDFSDKPython3.Widget.HasMKEntry with value FoxitPDFSDKPython3.Annot.e_MKEntryBackgroundColor to check.

## ◆ GetMKBorderColor()

def FoxitPDFSDKPython3.Widget.GetMKBorderColor | ( |  | ) |

Get the border color in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page.

Returns
  The border color in MK dictionary. Value format: 0xRRGGBB.
  0 may means no border color in MK dictionary. In this case, please call function FoxitPDFSDKPython3.Widget.HasMKEntry with value FoxitPDFSDKPython3.Annot.e_MKEntryBorderColor to check.

## ◆ GetMKDownCaption()

def FoxitPDFSDKPython3.Widget.GetMKDownCaption | ( |  | ) |

Get the down caption string in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Down caption (or alternate caption) in MK dictionary is used to displayed when the mouse button is pressed within its active area. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  Down caption string. An empty string may means no down caption in MK dictionary. In this case, please call function FoxitPDFSDKPython3.Widget.HasMKEntry with value FoxitPDFSDKPython3.Annot.e_MKEntryDownCaption to check.

## ◆ GetMKDownIconBitmap()

def FoxitPDFSDKPython3.Widget.GetMKDownIconBitmap | ( |  | ) |

Get the down icon bitmap in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Down icon (or alternate icon) in MK dictionary is used to displayed when the mouse button is pressed within its active area. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  Down icon bitmap. If function FoxitPDFSDKPython3.Bitmap.IsEmpty for the returned bitmap object returns true, that means current widget annotation does not have down icon bitmap.

## ◆ GetMKIconCaptionRelation()

def FoxitPDFSDKPython3.Widget.GetMKIconCaptionRelation | ( |  | ) |

Get the relation of icon and caption in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. The relation position of caption and icon specifies where to position the text of the widget annotation's caption relative to its icon. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  The relation position of caption and icon. Please refer to FoxitPDFSDKPython3.Annot.e_MKRelationNoIcon values and it should be one of these values.

## ◆ GetMKIconFit()

def FoxitPDFSDKPython3.Widget.GetMKIconFit | ( |  | ) |

Get the icon fit information in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. The icon fit information specifies how to display the widget annotation's icon within its annotation rectangle. If present, the icon fit information applies to all of the annotation's icons. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  An icon fit object, which contains the icon fit information in MK dictionary. If scale way type of icon fit object is value FoxitPDFSDKPython3.IconFit.e_ScaleWayNone , that means no icon fit information in MK dictionary.

## ◆ GetMKNormalCaption()

def FoxitPDFSDKPython3.Widget.GetMKNormalCaption | ( |  | ) |

Get the normal caption string in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Normal caption in MK dictionary is used to displayed when the widget is not interacting with the user. This is applicable for widget associated with pushbutton field, check box field or radio button field. For other type of fields, this will be useless.

Returns
  Normal caption string. An empty string may means no normal caption in MK dictionary. In this case, please call function FoxitPDFSDKPython3.Widget.HasMKEntry with value FoxitPDFSDKPython3.Annot.e_MKEntryNormalCaption to check.

## ◆ GetMKNormalIconBitmap()

def FoxitPDFSDKPython3.Widget.GetMKNormalIconBitmap | ( |  | ) |

Get the normal icon bitmap in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Normal icon in MK dictionary is used to displayed when the widget is not interacting with the user. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  Normal icon bitmap. If function FoxitPDFSDKPython3.Bitmap.IsEmpty for the returned bitmap object returns true, that means current widget annotation does not have normal icon bitmap.

## ◆ GetMKRolloverCaption()

def FoxitPDFSDKPython3.Widget.GetMKRolloverCaption | ( |  | ) |

Get the rollover caption string in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Rollover caption in MK dictionary is used to displayed when the user rolls the cursor into its active area without pressing the mouse button. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  Rollover caption string. An empty string may means no rollover caption in MK dictionary. In this case, please call function FoxitPDFSDKPython3.Widget.HasMKEntry with value FoxitPDFSDKPython3.Annot.e_MKEntryRolloverCaption to check.

## ◆ GetMKRolloverIconBitmap()

def FoxitPDFSDKPython3.Widget.GetMKRolloverIconBitmap | ( |  | ) |

Get the rollover icon bitmap in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Rollover icon in MK dictionary is used to displayed when the user rolls the cursor into its active area without pressing the mouse button. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  Rollover icon bitmap. If function FoxitPDFSDKPython3.Bitmap.IsEmpty for the returned bitmap object returns true, that means current widget annotation does not have rollover icon bitmap.

## ◆ GetMKRotation()

def FoxitPDFSDKPython3.Widget.GetMKRotation | ( |  | ) |

Get the rotation value in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. The rotation in MK dictionary specifies the degrees by which the widget annotation is rotated counterclockwise relative to the page.

Returns
  The rotation value in MK dictionary. Please refer to values starting from FoxitPDFSDKPython3.e_Rotation0 and this would be one of these values. Value FoxitPDFSDKPython3.e_RotationUnknown means no rotation in MK dictionary. Specially, returned rotation value represents in counterclockwise.

## ◆ HasMKEntry()

def FoxitPDFSDKPython3.Widget.HasMKEntry | ( |  | mk_entry | ) |

Check if a specified entry exists in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page.

Parameters

  [in] | mk_entry | An entry in MK dictionary. Please refer to values starting from FoxitPDFSDKPython3.Annot.e_MKEntryRotation and this should be one of these values.

Returns
  true means the specified entry exists in the MK dictionary, while false means not.

## ◆ RemoveAction()

def FoxitPDFSDKPython3.Widget.RemoveAction | ( |  | ) |

Remove action.

This function cannot be used to remove action which is used as additional action. If user wants to remove any additional action, please refer to class FoxitPDFSDKPython3.AdditionalAction for more details.

Returns
  None.

## ◆ RemoveMKEntry()

def FoxitPDFSDKPython3.Widget.RemoveMKEntry | ( |  | mk_entry | ) |

Remove a specified entry from the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page.

Parameters

  [in] | mk_entry | An entry in MK dictionary. Please refer to values starting from FoxitPDFSDKPython3.Annot.e_MKEntryRotation and this should be one of these values.

Returns
  None.

## ◆ SetAction()

def FoxitPDFSDKPython3.Widget.SetAction | ( |  | action | ) |

Set action.

This function cannot be used to set action which is used as additional action. If user wants to set any additional action, please refer to class FoxitPDFSDKPython3.AdditionalAction for more details.

Parameters

  [in] | action | New action to be set. It should be valid. Currently only support following types as the new action: FoxitPDFSDKPython3.Action.e_TypeGoto , FoxitPDFSDKPython3.Action.e_TypeURI , FoxitPDFSDKPython3.Action.e_TypeJavaScript , FoxitPDFSDKPython3.Action.e_TypeNamed , FoxitPDFSDKPython3.Action.e_TypeGoToR , FoxitPDFSDKPython3.Action.e_TypeGoToE , FoxitPDFSDKPython3.Action.e_TypeSubmitForm , FoxitPDFSDKPython3.Action.e_TypeResetForm , FoxitPDFSDKPython3.Action.e_TypeHide , FoxitPDFSDKPython3.Action.e_TypeLaunch , FoxitPDFSDKPython3.Action.e_TypeImportData , FoxitPDFSDKPython3.Action.e_TypeRendition .

Returns
  None.

## ◆ SetAppearanceState()

def FoxitPDFSDKPython3.Widget.SetAppearanceState | ( |  | appearance_state | ) |

Set the annotation's appearance state, which selects the applicable appearance stream from an appearance subdictionary.

Parameters

  [in] | appearance_state | The annotation's appearance state.

Returns
  None.

## ◆ SetHighlightingMode()

def FoxitPDFSDKPython3.Widget.SetHighlightingMode | ( |  | mode | ) |

Set highlighting mode.

Highlighting mode is the visual effect to be used when the mouse button is pressed or held down inside its active area.

Parameters

  [in] | mode | New highlighting mode value. Please refer to values starting from FoxitPDFSDKPython3.Annot.e_HighlightingNone and this should be one of these values.

Returns
  None.

## ◆ SetLineSpacing()

def FoxitPDFSDKPython3.Widget.SetLineSpacing | ( |  | line_spacing_style,
|  |  | line_spacing_value
| ) |  |

Set line spacing for current widget.

This is only applicable for widget associated with text fields which contain the flag FoxitPDFSDKPython3.Field.e_FlagTextMultiline . For other type of fields, this will be useless.

Parameters

  [in] | line_spacing_style | Line spacing style to be set to current widget.Please refer to values starting from FoxitPDFSDKPython3.Widget.e_LineSpacingSingle and this would be one of these values.
  [in] | line_spacing_value | Line spacing exact value to be set to current widget when parameter line_spacing_style is FoxitPDFSDKPython3.Widget.e_LineSpacingExactValue . When this parameter is useful, this parameter must be an non-negative value and the unit should be "pt" (known as point). If this value is zero, the effect of line spacing will be the same as single line spacing.

Returns
  None.

## ◆ SetMKBackgroundColor()

def FoxitPDFSDKPython3.Widget.SetMKBackgroundColor | ( |  | color | ) |

Set the background color in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page.

Parameters

  [in] | color | The background color to be set in MK dictionary. Value format: 0xRRGGBB.

Returns
  None.

## ◆ SetMKBorderColor()

def FoxitPDFSDKPython3.Widget.SetMKBorderColor | ( |  | color | ) |

Set the border color in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page.

Parameters

  [in] | color | The border color to be set in MK dictionary. Value format: 0xRRGGBB.

Returns
  None.

## ◆ SetMKDownCaption()

def FoxitPDFSDKPython3.Widget.SetMKDownCaption | ( |  | caption | ) |

Set the down caption string in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Down caption (or alternate caption) in MK dictionary is used to displayed when the mouse button is pressed within its active area. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | caption | Down caption string to be set in MK dictionary. It can be an empty string.

Returns
  None.

## ◆ SetMKDownIconBitmap()

def FoxitPDFSDKPython3.Widget.SetMKDownIconBitmap | ( |  | bitmap | ) |

Set the down icon bitmap in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Down icon (or alternate icon) in MK dictionary is used to displayed when the mouse button is pressed within its active area. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | bitmap | A valid bitmap to be set as down icon in MK dictionary.

Returns
  None.

## ◆ SetMKDownIconImage()

def FoxitPDFSDKPython3.Widget.SetMKDownIconImage | ( |  | image,
|  |  | frame_index
| ) |  |

Set an image with specified frame index as down icon in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Down icon (or alternate icon) in MK dictionary is used to displayed when the mouse button is pressed within its active area. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | image | An image. One of its frames will be set as down icon in MK dictionary. This image should contain at least one frame and the image type should not be FoxitPDFSDKPython3.Image.e_Unknown .
  [in] | frame_index | Frame index. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Image.GetFrameCount .

## ◆ SetMKIconCaptionRelation()

def FoxitPDFSDKPython3.Widget.SetMKIconCaptionRelation | ( |  | relation | ) |

Set the relation of icon and caption in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. The relation position of caption and icon specifies where to position the text of the widget annotation's caption relative to its icon. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | relation | The relation position of caption and icon. Please refer to values starting from FoxitPDFSDKPython3.Annot.e_MKRelationNoIcon and this should be one of these values.

Returns
  None.

## ◆ SetMKIconFit()

def FoxitPDFSDKPython3.Widget.SetMKIconFit | ( |  | icon_fit | ) |

Set the icon fit information in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. The icon fit information specifies how to display the widget annotation's icon within its annotation rectangle. If present, the icon fit information applies to all of the annotation's icons. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | icon_fit | An icon fit object which represents the icon fit information to be set in MK dictionary. If value of any member in this object is invalid, this function will throw exception FoxitPDFSDKPython3.e_ErrParam . Please refer to class IconFit to check the valid value range for each member.

Returns
  None.

## ◆ SetMKNormalCaption()

def FoxitPDFSDKPython3.Widget.SetMKNormalCaption | ( |  | caption | ) |

Set the normal caption string in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Normal caption in MK dictionary is used to displayed when the widget is not interacting with the user. This is applicable for widgets associated with pushbutton field, check box field or radio button field. For other type of fields, this will be useless.

Parameters

  [in] | caption | Normal caption string to be set in MK dictionary. It can be an empty string.

Returns
  None.

## ◆ SetMKNormalIconBitmap()

def FoxitPDFSDKPython3.Widget.SetMKNormalIconBitmap | ( |  | bitmap | ) |

Set a bitmap as normal icon in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Normal icon in MK dictionary is used to displayed when the widget is not interacting with the user. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | bitmap | A valid bitmap to be set as normal icon in MK dictionary.

Returns
  None.

## ◆ SetMKNormalIconImage()

def FoxitPDFSDKPython3.Widget.SetMKNormalIconImage | ( |  | image,
|  |  | frame_index
| ) |  |

Set an image with specified frame index as normal icon in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Normal icon in MK dictionary is used to displayed when the widget is not interacting with the user. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | image | An image. One of its frames will be set as normal icon in MK dictionary. This image should contain at least one frame and the image type should not be FoxitPDFSDKPython3.Image.e_Unknown .
  [in] | frame_index | Frame index. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Image.GetFrameCount .

## ◆ SetMKRolloverCaption()

def FoxitPDFSDKPython3.Widget.SetMKRolloverCaption | ( |  | caption | ) |

Set the rollover caption string in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Rollover caption in MK dictionary is used to displayed when the user rolls the cursor into its active area without pressing the mouse button. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | caption | Rollover caption string to be set in MK dictionary. It can be an empty string.

Returns
  None.

## ◆ SetMKRolloverIconBitmap()

def FoxitPDFSDKPython3.Widget.SetMKRolloverIconBitmap | ( |  | bitmap | ) |

Set the rollover icon bitmap in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Rollover icon in MK dictionary is used to displayed when the user rolls the cursor into its active area without pressing the mouse button. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | bitmap | A valid bitmap to be set as rollover icon in MK dictionary.

Returns
  None.

## ◆ SetMKRolloverIconImage()

def FoxitPDFSDKPython3.Widget.SetMKRolloverIconImage | ( |  | image,
|  |  | frame_index
| ) |  |

Set an image with specified frame index as rollover icon in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Rollover icon in MK dictionary is used to displayed when the user rolls the cursor into its active area without pressing the mouse button. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | image | An image. One of its frames will be set as rollover icon in MK dictionary. This image should contain at least one frame and the image type should not be FoxitPDFSDKPython3.Image.e_Unknown .
  [in] | frame_index | Frame index. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Image.GetFrameCount .

## ◆ SetMKRotation()

def FoxitPDFSDKPython3.Widget.SetMKRotation | ( |  | rotation | ) |

Set the rotation value in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. The rotation in MK dictionary specifies the degrees by which the widget annotation is rotated counterclockwise relative to the page.

Parameters

  [in] | rotation | The rotation value to be set in MK dictionary. Please refer to values starting from FoxitPDFSDKPython3.e_Rotation0 and this should be one of these values except FoxitPDFSDKPython3.e_RotationUnknown . Specially, rotation value here represents in counterclockwise.